package olyanren.android.activity.dialog;

import android.app.Activity;
import android.graphics.Color;
import android.os.Bundle;
import android.util.DisplayMetrics;
import android.view.*;
import android.widget.Button;
import android.widget.TextView;

/**
 * Created by olyanren on 18.8.2014.
 */
public class UserAdd extends Activity {


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);


        // Make us non-modal, so that others can receive touch events.
       getWindow().setFlags(WindowManager.LayoutParams.FLAG_NOT_TOUCH_MODAL,
              WindowManager.LayoutParams.FLAG_NOT_TOUCH_MODAL);

        // ...but notify us that it happened.
       // getWindow().setFlags(WindowManager.LayoutParams.FLAG_WATCH_OUTSIDE_TOUCH,
                //WindowManager.LayoutParams.FLAG_WATCH_OUTSIDE_TOUCH);

        DisplayMetrics metrics = getResources().getDisplayMetrics();
        int screenWidth = (int) (metrics.widthPixels * 0.80);
        getWindow().setLayout(screenWidth, ViewGroup.LayoutParams.WRAP_CONTENT); //set below the setContentview

        requestWindowFeature(Window.FEATURE_CUSTOM_TITLE);
        setContentView(R.layout.user);
        getWindow().setFeatureInt(Window.FEATURE_CUSTOM_TITLE, R.layout.dialog_title_content);


        TextView title = (TextView) findViewById(R.id.text_title_user_dialog);
        title.setText("Kullanıcı Giriş Sayfası");
        title.setTextSize(20);
        title.setTextColor(Color.parseColor("#ff0092f4"));
        Button btnSave = (Button) findViewById(R.id.button_word_save);
        Button btnCancel = (Button) findViewById(R.id.button_word_cancel);

        btnSave.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                finish();
            }
        });
        btnCancel.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                finish();
            }
        });
    }
    @Override
    public boolean onTouchEvent(MotionEvent event) {
        // If we've received a touch notification that the user has touched
        // outside the app, finish the activity.
        if (MotionEvent.ACTION_OUTSIDE == event.getAction()) {
            //finish(); todo finish() aktif yapilirsa activity disinda tiklaninca dialog kapanir
            return true;
        }

        // Delegate everything else to Activity.
        return super.onTouchEvent(event);
    }
}
